curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys/{key_id}/revoke' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
Revoke brand api key
Key revoked, effective immediately.
POST
/
v1
/
brands
/
{brand_id}
/
api-keys
/
{key_id}
/
revoke
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys/{key_id}/revoke' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
Path parameters
string (uuid)
required
string (string)
required
Request body
JSON body of typeGenericObject.
Response
No response body. Key revoked, effective immediately.Status codes
| Code | Meaning |
|---|---|
204 | Key revoked, effective immediately. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys/{key_id}/revoke' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
Last modified on August 31, 2026